%define name cxref
%define version 1.5c
%define release 2mdk

Summary: C program cross-referencing & documentation tool
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Development/C
Source: %{name}-%{version}.tar.bz2
Patch0: %{name}-gcc-3.diff.bz2
URL: http://www.gedanken.demon.co.uk/cxref/
Buildroot: %{_tmppath}/%{name}-buildroot

%description
A program that takes as input a series of C source files
and produces a LaTeX or HTML document containing a cross
reference of the files/functions/variables in the program,
including documentation taken from suitably formatted
source code comments.
The documentation is stored in the C source file in
specially formatted comments, making it simple to maintain.
The cross referencing includes lists of functions called,
callers of each function, usage of global variables, header
file inclusion, macro definitions and type definitions.
Works for ANSI C, including many gcc extensions.

%prep

%setup -q
%patch0

%build

%configure

%make

#make docs


%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Oct 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5c-2mdk
- fixes by Anton Graham <darkimage@programmer.net> :
	- Add patch from source URL to make useable with gcc-{2.96,3.x}

* Mon Jul 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5c-1mdk
- updated to 1.5c

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5b-2mdk
- rebuild
- add url

* Wed Sep 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.5b-1mdk
- stop providing the docs

* Tue Oct 19 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptation for Mandrake

* Mon Oct 18 1999 Richard Jackson <richardj@1gig.net>
- initial RPM build



